package io.zipcoder.crudapp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

@RestController
public class PersonController {

    @Autowired
    PersonRepository personRepository;

    @RequestMapping(value = "/people", method = RequestMethod.POST)
    public Person createPerson(@RequestBody Person p) {
        return personRepository.save(p);
    }

    @RequestMapping(value = "/people/{id}", method = RequestMethod.GET)
    public Person getPerson(@PathVariable int id) {
        return personRepository.findOne(id);
    }

    @RequestMapping(value = "/people", method = RequestMethod.GET)
    public List<Person> getPersonList() {
        return personRepository.findAll();
    }

    @RequestMapping(value = "/people/{id}", method = RequestMethod.PUT)
    public Person updatePerson(@RequestBody Person p) {
        return personRepository.save(p);
    }

    @RequestMapping(value = "/people/{id}", method = RequestMethod.DELETE)
    public void deletePerson(@PathVariable int id) {
        personRepository.delete(id);
    }
}
